get
https://api.sandbox.midtrans.com/v2/card/register
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Register Card can be triggered to register the card information of the customer for future one click and two click transactions.
Register Card Status Method
| HTTP Method | Endpoint | Definition |
|---|---|---|
| GET | BASE_URL/v2/card/register | Register card information (card number and expiry) to be used for two clicks and one click |
Register Card Request
See sample on the right -- try it yourself!
| Query Parameter | Description | Type | Required |
|---|---|---|---|
| card_number | The 16 digits card number. | String | Required |
| card_exp_month | The card expiry month in MM format. | String | Required |
| card_exp_year | The card expiry year in YYYY format. | String | Required |
| client_key | Partner client key credential. For more details, refer Retrieving API Access Keys . | String | Required |
| callback | Function name used for JSONP callback | String | Optional |
Register Card Response
{
"status_code": "200",
"saved_token_id": "436502PjvfpHomPBggDvfipaIYhV0009",
"transaction_id": "50e7c4ac-772e-43fa-94fb-52559bce4fc0",
"masked_card": "48111111-1114"
}| JSON Attribute | Description | Type |
|---|---|---|
| transaction_id | Transaction ID given by Midtrans. | String |
| masked_card | First 8-digit and last 4-digit of customer's credit card number. | String |
| status_code | Status code of transaction charge result. | String |
| saved_token_id | Token id used for Two Clicks or One Click. | String |